MONGOC_COLLECTION_INSERT(3)

NAME
mongoc_collection_insert - mongoc_collection_insert()

SYNOPSIS

bool
mongoc_collection_insert (mongoc_collection_t *collection,
                          mongoc_insert_flags_t flags,
                          const bson_t *document,
                          const mongoc_write_concern_t *write_concern,
                          bson_error_t *error);

PARAMETERS

•   collection: A mongoc_collection_t.

•   flags: A mongoc_insert_flags_t.

•   document: A bson_t.

•   write_concern: A mongoc_write_concern_t.

•   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

Superseded by mongoc_collection_insert_one() and mongoc_collection_insert_many().

This function shall insert document into collection.

If no _id element is found in document, then a bson_oid_t will be generated locally and added to the document. If you must know the inserted document's _id, generate it in your code and include it in the document. The _id you generate can be a bson_oid_t or any other non-array BSON type.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

A write concern timeout or write concern error is considered a failure.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc